Skip to main content
GET
/
statements
List Statements
curl --request GET \
  --url https://api.paxos.com/v2/statements \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/statements"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/statements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "statements": [
    {
      "id": "704b4e48-bbb1-4086-b6e4-6e9b2e3e5d7a",
      "ref_id": "USDG_REWARDS-cdcbff8e-cf51-4536-ba6f-92ef6846e48a-2025-02",
      "customer_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a",
      "type": "STATEMENT_TYPE_USDG_REWARD",
      "product": "USDG_REWARDS",
      "status": "STATEMENT_STATUS_PAID",
      "metadata": {
        "total_amount": "100.5"
      },
      "statement_balances": [
        {
          "asset": "USDG",
          "amount_paid": "100.5",
          "total_amount_owed": "100.5"
        }
      ],
      "period_start": "2025-02-01T00:00:00Z",
      "period_end": "2025-02-28T23:59:59.999999Z",
      "generated_at": "2025-03-18T23:11:47.840321Z",
      "paid_at": "2025-03-19T19:21:57.172302Z",
      "created_at": "2025-03-18T23:11:47.627302Z"
    },
    {
      "id": "30ed2047-6155-4b75-b235-6600aa7f65dd",
      "ref_id": "USDG_REWARDS-cdcbff8e-cf51-4536-ba6f-92ef6846e48a-2025-03",
      "customer_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a",
      "type": "STATEMENT_TYPE_USDG_REWARD",
      "product": "USDG_REWARDS",
      "status": "STATEMENT_STATUS_PAID",
      "metadata": {
        "total_amount": "100.5"
      },
      "statement_balances": [
        {
          "asset": "USDG",
          "amount_paid": "100.5",
          "total_amount_owed": "100.5"
        }
      ],
      "period_start": "2025-02-18T00:00:00Z",
      "period_end": "2025-03-18T00:00:00Z",
      "generated_at": "2025-03-18T19:11:54.606991Z",
      "paid_at": "2025-03-20T14:26:06.649645Z",
      "created_at": "2025-03-18T19:11:54.372336Z"
    }
  ]
}
The Rewards Statements API replaces this endpoint.New customers should use List Rewards Statements instead.
OAuth Scope
statements:read_statement

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide โ†’

Query Parameters

customer_id
string

customer_id is a required field.

ref_ids
string[]

Optionally filter by the ref_ids of the statements.

statement_ids
string[]

Optionally filter by the ids of the statements.

statuses
enum<string>[]

Optionally filter by the statuses of the statements to be returned. Defaults to all statuses.

Available options:
STATEMENT_STATUS_UNSPECIFIED,
STATEMENT_STATUS_INITIATED,
STATEMENT_STATUS_GENERATED,
STATEMENT_STATUS_PAID
limit
integer<int32>

Number of results to return. Defaults to 100.

order
enum<string>

Sort order for the results by period start, defaults to DESC if not provided.

Available options:
DESC,
ASC
page_cursor
string

Cursor for getting the next page of results.

Response

200 - application/json

Successfully retrieve statements

statements
object[]
next_page_cursor
string